iOS高德地图SDK(搜索) V9.8.0

Loading...
Searching...
No Matches
Properties | List of all members
AMapTruckRouteSearchRequest Class Reference

货车路径规划（since 6.1.0） More...

`#include <AMapSearchObj.h>`

Inheritance diagram for AMapTruckRouteSearchRequest:

## Properties
NSInteger | strategy
NSArray< AMapGeoPoint * > * | waypoints
| 途经点 AMapGeoPoint 数组，最多支持16个途经点
NSString * | originId
| 出发点 POI ID
NSString * | destinationId
| 目的地 POI ID
NSString * | origintype
| 出发点POI类型编码
NSString * | destinationtype
| 目的地POI类型编码
NSString * | plateProvince
| 车牌省份，用汉字填入车牌省份缩写。用于判断是否限行
NSString * | plateNumber
| 车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。
AMapTruckSizeType | size
| 货车大小，默认为 轻型车（AMapTruckSizeTypeLight）
CGFloat | height
| 车辆高度，单位米，取值[0 – 25.5]米，默认 1.6 米
CGFloat | width
| 车辆宽度，单位米，取值[0 – 25.5]米，默认 2.5 米
CGFloat | load
| 车辆总重，单位吨，取值[0 – 6553.5]吨，默认 0.9 吨
CGFloat | weight
| 货车核定载重，单位吨，取值[0 – 6553.5]吨，默认 10 吨
NSInteger | axis
| 车辆轴数，单位个，取值[0 –255]个，默认 2个轴
BOOL | requireExtension
| 是否返回扩展信息，默认为 NO （since 7.6.0）
Properties inherited from AMapRouteSearchBaseRequest
AMapGeoPoint * | origin
| 出发点
AMapGeoPoint * | destination
| 目的地

## Additional Inherited Members
Instance Methods inherited from AMapSearchObject
(NSString *) | - formattedDescription
| 返回格式化的描述信息。通用数据结构和response类型有效。

## Detailed Description

货车路径规划（since 6.1.0）

## Property Documentation

## ◆ axis

- (NSInteger) axis
| read write nonatomic assign

车辆轴数，单位个，取值[0 –255]个，默认 2个轴

## ◆ destinationId

- (NSString*) destinationId
| read write nonatomic copy

目的地 POI ID

## ◆ destinationtype

- (NSString*) destinationtype
| read write nonatomic copy

目的地POI类型编码

## ◆ height

- (CGFloat) height
| read write nonatomic assign

车辆高度，单位米，取值[0 – 25.5]米，默认 1.6 米

## ◆ load

- (CGFloat) load
| read write nonatomic assign

车辆总重，单位吨，取值[0 – 6553.5]吨，默认 0.9 吨

## ◆ originId

- (NSString*) originId
| read write nonatomic copy

出发点 POI ID

## ◆ origintype

- (NSString*) origintype
| read write nonatomic copy

出发点POI类型编码

## ◆ plateNumber

- (NSString*) plateNumber
| read write nonatomic copy

车牌详情,填入除省份及标点之外的字母和数字（需大写）。用于判断是否限行。

## ◆ plateProvince

- (NSString*) plateProvince
| read write nonatomic copy

车牌省份，用汉字填入车牌省份缩写。用于判断是否限行

## ◆ requireExtension

- (BOOL) requireExtension
| read write nonatomic assign

是否返回扩展信息，默认为 NO （since 7.6.0）

## ◆ size

- (AMapTruckSizeType) size
| read write nonatomic assign

货车大小，默认为 轻型车（AMapTruckSizeTypeLight）

## ◆ strategy

- (NSInteger) strategy
| read write nonatomic assign

驾车导航策略，默认为策略1。 1，返回的结果考虑路况，尽量躲避拥堵而规划路径，与高德地图的“躲避拥堵”策略一致； 2，返回的结果不走高速，与高德地图“不走高速”策略一致； 3，返回的结果尽可能规划收费较低甚至免费的路径，与高德地图“避免收费”策略一致； 4，返回的结果考虑路况，尽量躲避拥堵而规划路径，并且不走高速，与高德地图的“躲避拥堵&不走高速”策略一致； 5，返回的结果尽量不走高速，并且尽量规划收费较低甚至免费的路径结果，与高德地图的“避免收费&不走高速”策略一致； 6，返回路径规划结果会尽量的躲避拥堵，并且规划收费较低甚至免费的路径结果，与高德地图的“躲避拥堵&避免收费”策略一致； 7，返回的结果尽量躲避拥堵，规划收费较低甚至免费的路径结果，并且尽量不走高速路，与高德地图的“避免拥堵&避免收费&不走高速”策略一致； 8，返回的结果会优先选择高速路，与高德地图的“高速优先”策略一致； 9，返回的结果会优先考虑高速路，并且会考虑路况躲避拥堵，与高德地图的“躲避拥堵&高速优先”策略一致。

## ◆ waypoints

- (NSArray<AMapGeoPoint *>*) waypoints
| read write nonatomic copy

途经点 AMapGeoPoint 数组，最多支持16个途经点

## ◆ weight

- (CGFloat) weight
| read write nonatomic assign

货车核定载重，单位吨，取值[0 – 6553.5]吨，默认 10 吨

## ◆ width

- (CGFloat) width
| read write nonatomic assign

车辆宽度，单位米，取值[0 – 25.5]米，默认 2.5 米

The documentation for this class was generated from the following file:

- AMapSearchObj.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。